
_set_up:

;ohmmeter.c,21 :: 		void set_up() {   // configuration for Pic16f887
;ohmmeter.c,23 :: 		INTCON = 0;    //All interrupts are disabled .
	CLRF       INTCON+0
;ohmmeter.c,24 :: 		ANSEL = 0x04;      // Pin RA2 is configured as analog inpunt.
	MOVLW      4
	MOVWF      ANSEL+0
;ohmmeter.c,25 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;ohmmeter.c,26 :: 		ADCON1 = 0x82;    // VRF=Vcc.
	MOVLW      130
	MOVWF      ADCON1+0
;ohmmeter.c,27 :: 		C1ON_bit = 0;    // analog comparators are disabled
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;ohmmeter.c,28 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;ohmmeter.c,29 :: 		CCP1CON = 0;   //PWM1 and PWM2 off.
	CLRF       CCP1CON+0
;ohmmeter.c,30 :: 		CCP2CON = 0;
	CLRF       CCP2CON+0
;ohmmeter.c,31 :: 		ADC_Init();
	CALL       _ADC_Init+0
;ohmmeter.c,32 :: 		delay_us(100);
	MOVLW      33
	MOVWF      R13+0
L_set_up0:
	DECFSZ     R13+0, 1
	GOTO       L_set_up0
;ohmmeter.c,33 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;ohmmeter.c,34 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;ohmmeter.c,35 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;ohmmeter.c,36 :: 		Lcd_Out(1, 2, "Ohmmeter");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_ohmmeter+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;ohmmeter.c,37 :: 		Lcd_Out(2, 9, "Kohms");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      9
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_ohmmeter+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;ohmmeter.c,38 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_Resistor:

;ohmmeter.c,40 :: 		void Resistor() {
;ohmmeter.c,43 :: 		ohms = (1023.00-adc_reading)/adc_reading; // R2=[R1*(Vcc-V1)]/V1
	MOVF       _adc_reading+0, 0
	MOVWF      R0+0
	MOVF       _adc_reading+1, 0
	MOVWF      R0+1
	CALL       _word2double+0
	MOVF       R0+0, 0
	MOVWF      FLOC__Resistor+0
	MOVF       R0+1, 0
	MOVWF      FLOC__Resistor+1
	MOVF       R0+2, 0
	MOVWF      FLOC__Resistor+2
	MOVF       R0+3, 0
	MOVWF      FLOC__Resistor+3
	MOVF       FLOC__Resistor+0, 0
	MOVWF      R4+0
	MOVF       FLOC__Resistor+1, 0
	MOVWF      R4+1
	MOVF       FLOC__Resistor+2, 0
	MOVWF      R4+2
	MOVF       FLOC__Resistor+3, 0
	MOVWF      R4+3
	MOVLW      0
	MOVWF      R0+0
	MOVLW      192
	MOVWF      R0+1
	MOVLW      127
	MOVWF      R0+2
	MOVLW      136
	MOVWF      R0+3
	CALL       _Sub_32x32_FP+0
	MOVF       FLOC__Resistor+0, 0
	MOVWF      R4+0
	MOVF       FLOC__Resistor+1, 0
	MOVWF      R4+1
	MOVF       FLOC__Resistor+2, 0
	MOVWF      R4+2
	MOVF       FLOC__Resistor+3, 0
	MOVWF      R4+3
	CALL       _Div_32x32_FP+0
;ohmmeter.c,44 :: 		FloatToStr(ohms, text); // R2=ohms, R1=1kohm, V1=adc_reading and Vcc=5 then Vcc =~1023
	MOVF       R0+0, 0
	MOVWF      FARG_FloatToStr_fnum+0
	MOVF       R0+1, 0
	MOVWF      FARG_FloatToStr_fnum+1
	MOVF       R0+2, 0
	MOVWF      FARG_FloatToStr_fnum+2
	MOVF       R0+3, 0
	MOVWF      FARG_FloatToStr_fnum+3
	MOVLW      Resistor_text_L0+0
	MOVWF      FARG_FloatToStr_str+0
	CALL       _FloatToStr+0
;ohmmeter.c,45 :: 		text[6] = 0;
	CLRF       Resistor_text_L0+6
;ohmmeter.c,46 :: 		Lcd_Out(2,2,text);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      Resistor_text_L0+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;ohmmeter.c,47 :: 		}
L_end_Resistor:
	RETURN
; end of _Resistor

_main:

;ohmmeter.c,48 :: 		void main() {
;ohmmeter.c,50 :: 		set_up();
	CALL       _set_up+0
;ohmmeter.c,51 :: 		do {
L_main1:
;ohmmeter.c,52 :: 		adc_reading = ADC_Get_Sample(2);
	MOVLW      2
	MOVWF      FARG_ADC_Get_Sample_channel+0
	CALL       _ADC_Get_Sample+0
	MOVF       R0+0, 0
	MOVWF      _adc_reading+0
	MOVF       R0+1, 0
	MOVWF      _adc_reading+1
;ohmmeter.c,53 :: 		delay_ms(150);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L_main4:
	DECFSZ     R13+0, 1
	GOTO       L_main4
	DECFSZ     R12+0, 1
	GOTO       L_main4
;ohmmeter.c,54 :: 		Resistor();
	CALL       _Resistor+0
;ohmmeter.c,55 :: 		} while(1);
	GOTO       L_main1
;ohmmeter.c,56 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
