
//Ohmmeter
// LCD module connections
sbit LCD_RS at RD2_bit;
sbit LCD_EN at RD3_bit;
sbit LCD_D4 at RD4_bit;
sbit LCD_D5 at RD5_bit;
sbit LCD_D6 at RD6_bit;
sbit LCD_D7 at RD7_bit;
sbit LCD_RS_Direction at TRISD2_bit;
sbit LCD_EN_Direction at TRISD3_bit;
sbit LCD_D4_Direction at TRISD4_bit;
sbit LCD_D5_Direction at TRISD5_bit;
sbit LCD_D6_Direction at TRISD6_bit;
sbit LCD_D7_Direction at TRISD7_bit;
// End LCD module connections

// Declare variables
unsigned int adc_reading ;

void set_up() {   // configuration for Pic16f887

  INTCON = 0;    //All interrupts are disabled .
  ANSEL = 0x04;      // Pin RA2 is configured as analog inpunt.
  ANSELH = 0;
  ADCON1 = 0x82;    // VRF=Vcc.
  C1ON_bit = 0;    // analog comparators are disabled
  C2ON_bit = 0;
  CCP1CON = 0;   //PWM1 and PWM2 off.
  CCP2CON = 0;
  ADC_Init();
  delay_us(100);
  Lcd_Init();
  Lcd_Cmd(_LCD_CLEAR);
  Lcd_Cmd(_LCD_CURSOR_OFF);
  Lcd_Out(1, 2, "Ohmmeter");
  Lcd_Out(2, 9, "Kohms");
}

void Resistor() {
   float ohms;
   char text[15];
   ohms = (1023.00-adc_reading)/adc_reading; // R2=[R1*(Vcc-V1)]/V1
   FloatToStr(ohms, text); // R2=ohms, R1=1kohm, V1=adc_reading and Vcc=5 then Vcc =~1023
   text[6] = 0;
   Lcd_Out(2,2,text);
}
void main() {

  set_up();
  do {
   adc_reading = ADC_Get_Sample(2);
   delay_ms(150);
   Resistor();
   } while(1);
}